Subject: bug#35214: Fwd: [bug-diffutils] bug#35214: [Bug][diff][3.3] diff showing difference when there is none

From: 方然 <[email-masked]>
Date: Thu, 11 Apr 2019 17:42:38 +0800

---------- Forwarded message ---------
发件人： 方然 <[email-masked]>
Date: 2019年4月11日周四 上午10:24
Subject: Re: [bug-diffutils] bug#35214: [Bug][diff][3.3] diff showing
difference when there is none
To: Eric Blake <[email-masked]>

Hi Eric Blake
    Still not I expected.  the log file is result of a consistent hashing
algorithm before and after removing No.12 node.

   `
   [fangran@inspur_5118_new build]$ diff 3.log 4.log | grep '<' | grep -v 12
< 16 13 1
< 24 16 1
[fangran@inspur_5118_new build]$ diff 3.log 4.log | vim -
Vim: Reading from stdin...
   `

   I still got
   136683 252954,252958c252954,252958
136684 < 12 24 19
136685 < 8 17 12
136686 < 12 6 16
136687 < 16 13 1
136688 < 24 16 1
136689 ---
136690 > 11 24 19
136691 > 8 17 13
136692 > 11 6 16
136693 > 16 13 1
136694 > 24 16 1

the result is different in diff 3.6. but still  '16 13 1'  '24 16 1' it is
the same line.

Fang

方然 <[email-masked]> 于2019年4月11日周四 上午9:50写道：

> Hi Eric Blake
>      Sorry for the inconvenience about the size of the mail. and this is
> running in diff 3.3 as I mentioned in title of the previous email.  I will
> update diff to 3.6 and have a try.
> Fang
>